# ClTask.PrecompiledHeaderMode

[This is preliminary documentation and subject to change.]

Defines the supported modes for the use of precompiled header files.

### Fields

Field | Description
--- | ---
AutoCreate | Automatically create a precompiled header file if necessary.
Create | Create a precompiled header file.
Use | Use a (previously generated) precompiled header file.

### Requirements

Assembly: NAnt.VisualCppTasks (0.85.1932.0)